## pyme 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.10 2005/04/21 03:53:11 belyi Exp $
-# Copyright (C) 2004 Igor Belyi <belyi@users.sourceforge.net>
+# $Id: Makefile,v 1.17 2008/03/30 21:27:38 belyi Exp $
+# Copyright (C) 2004,2008 Igor Belyi <belyi@users.sourceforge.net>
 # Copyright (C) 2002 John Goerzen <jgoerzen@complete.org>
 #
 #    This library is free software; you can redistribute it and/or
@@ -16,24 +16,39 @@
 #    License along with this library; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 
+PYTHON = python
+MODULE = pygpgme
 FILE = gpgme
 PYPATH = pyme
-PYFILE = $(FILE).py
+PYFILE = $(MODULE).py
 CFILE = $(FILE)_wrap.c
 HFILE = $(FILE).h
-USRHFILE = /usr/include/$(HFILE)
+USRHFILE = $(shell gpgme-config --prefix)/include/$(HFILE)
 SWIGSOURCE = $(FILE).i
 DOCMODSDIRS := $(shell find pyme -type d | grep -v CVS | sed 'sx/x.xg')
-DOCMODSFILES := $(shell find pyme -name "*.py" | egrep -v __init__ | grep -v gpgme.py | grep -v CVS | sed 'sx/x.xg')
+DOCMODSFILES := $(shell find pyme -name "*.py" | egrep -v __init__ | grep -v gpgme.py | sed 'sx/x.xg')
 DOCMODS := $(DOCMODSDIRS) $(DOCMODSFILES:.py=)
-SWIGOPT := `gpgme-config --cflags` -I/usr/include 
+SWIGOPT := $(shell gpgme-config --cflags) -I/usr/include 
 PYMEVERS := $(shell python -c "from pyme.version import *;print versionstr")
+SYSTEM = $(shell uname -s | sed 's/_.*//')
+ifeq ($(SYSTEM),MINGW32)
+  DLLDIR := $(shell gpgme-config --exec-prefix)/bin
+  DLLFILES := $(DLLDIR)/libgpg-error-0.dll $(DLLDIR)/libgpgme-11.dll
+  SWIG = /c/cygwin/bin/swig
+else
+  SWIG = swig
+endif
 
 build: swig
+ifeq ($(SYSTEM),MINGW32)
+	$(PYTHON) setup.py build -b build --compiler=mingw32
+	cp $(DLLFILES) build/lib.win32-*/pyme
+else
 	$(PYTHON) setup.py build -b build
+endif
 
 install: build
-	$(PYTHON) setup.py install
+	$(PYTHON) setup.py install --skip-build
 
 info:
 	@echo $(DOCMODS)
@@ -45,12 +60,12 @@
 	$(PYTHON) gpgme-h-clean.py $(USRHFILE) >$(HFILE)
 
 $(CFILE) $(PYPATH)/$(PYFILE): $(SWIGSOURCE) $(HFILE) helpers.h
-	swig -python $(SWIGOPT) $(SWIGSOURCE)
+	$(SWIG) -python $(SWIGOPT) $(SWIGSOURCE)
 	mv $(PYFILE) $(PYPATH)/$(PYFILE)
 
 clean:
 	python setup.py clean --all
-	rm -rf build build2.2 build2.3 build2.4 setup.cfg
+	rm -rf build dist
 	rm -f `find . -name "*~"` `find . -name "*.pyc"` `find . -name "*.so"`
 	find . -name auth -exec rm -vf {}/password {}/username \;
 
@@ -60,9 +75,12 @@
 reallyclean: clean
 	rm -f doc/*.html doc/gpgme/*.html $(CFILE) $(PYPATH)/$(PYFILE) $(HFILE)
 
-docs:
+docs: build
 	rm -f doc/*.html
 	cd doc; for MOD in $(DOCMODS); do PYTHONPATH=`echo ../build/lib*` pydoc -w $$MOD; done
+ifneq (, $(PYSRCURL))
+	cd doc; for MOD in $(DOCMODS); do sed -i -e "s#\"file:.*/site-packages/\(pyme/.*\)\">[^<]*</a>#\"$(PYSRCURL)\">\1</a>#" $$MOD.html; done
+endif
 
 nondeb-dist: reallyclean
 	rm -rf ../pyme-$(PYMEVERS)
@@ -72,6 +90,9 @@
 	rm -rf ../pyme-$(PYMEVERS)
 
 dist:
+ifeq ($(SYSTEM),MINGW32)
+	$(PYTHON) setup.py bdist_wininst --skip-build
+else
 	fakeroot debian/rules clean
 	fakeroot debian/rules binary
 	fakeroot debian/rules clean
@@ -80,3 +101,4 @@
 	tar -c --exclude="CVS" * | tar -x -C ../pyme-$(PYMEVERS)
 	tar -czf ../pyme-$(PYMEVERS).tar.gz -C .. pyme-$(PYMEVERS)
 	rm -rf ../pyme-$(PYMEVERS)
+endif
