## pyme 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.17 2008/03/30 21:27:38 belyi Exp $
+# $Id: Makefile,v 1.18 2008/05/29 18:29:37 belyi Exp $
 # Copyright (C) 2004,2008 Igor Belyi <belyi@users.sourceforge.net>
 # Copyright (C) 2002 John Goerzen <jgoerzen@complete.org>
 #
@@ -77,7 +77,7 @@
 
 docs: build
 	rm -f doc/*.html
-	cd doc; for MOD in $(DOCMODS); do PYTHONPATH=`echo ../build/lib*` pydoc -w $$MOD; done
+	cd doc; for MOD in $(DOCMODS); do PYTHONPATH=`echo ../build/lib* | sed -e "s# #:#"` pydoc -w $$MOD; done
 ifneq (, $(PYSRCURL))
 	cd doc; for MOD in $(DOCMODS); do sed -i -e "s#\"file:.*/site-packages/\(pyme/.*\)\">[^<]*</a>#\"$(PYSRCURL)\">\1</a>#" $$MOD.html; done
 endif
