=== debian/control ===
Source: pyme
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Gustavo Franco <stratus@debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90-1~),
               python-all-dev (>= 2.6.6-3~),
               libgpgme11-dev,
               swig
Homepage: http://pyme.sourceforge.net
X-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyme/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyme/trunk/
Standards-Version: 3.9.2

Package: python-pyme
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pyme-doc
Description: Python interface to the GPGME GnuPG encryption library
 Pyme is, for the most part, a direct interface to the C GPGME
 library.  However, it is re-packaged in a more Pythonic way --
 object-oriented with classes and modules.  Take a look at the classes
 defined here -- they correspond directly to certain object types in GPGME
 for C.
 .
 Features:
  * Feature-rich, full implementation of the GPGME library. Supports
    all GPGME features except interactive editing (coming soon).
    Callback functions may be written in pure Python.
  * Ability to sign, encrypt, decrypt, and verify data.
  * Ability to list keys, export and import keys, and manage the keyring.
  * Fully object-oriented with convenient classes and modules.

Package: python-pyme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Python interface to the GPGME GnuPG encryption library
 This package contains the documentation for Pyme.
