=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pyme/ pyme-([\d.]*)\.tar\.gz
